package org.wcs.mapper.intf;

import com.baomidou.mybatisplus.extension.service.IService;
import org.wcs.model.bo.tuple.Tuple2;
import org.wcs.model.dto.serve.etagBase.EtagControllerQueryReq;
import org.wcs.model.po.app.AppEtagControllerInfo;

import java.util.List;

public interface AppEtagControllerInfoService extends IService<AppEtagControllerInfo> {

    Tuple2<Long, List<AppEtagControllerInfo>> queryEtagControllerInfo(EtagControllerQueryReq request, Integer pageSize, Integer pageIndex);
    List<AppEtagControllerInfo> queryEtagControllerInfoById(Integer etagControllerId);
    List<AppEtagControllerInfo> queryEtagControllerInfoByStatus(Integer status);
    int insertEtagControllerInfo(AppEtagControllerInfo appEtagControllerInfo); // 添加电子标签控制器基础数据
    int updateEtagControllerInfo(AppEtagControllerInfo appEtagControllerInfo); // 修改电子标签控制器基础数据
    int deleteEtagControllerInfoById(Integer etagControllerId); // 删除电子标签控制器基础数据
}
